org.codehaus.plexus.classworlds.event

## Class ClassEventDebug

- java.lang.Object
- - org.codehaus.plexus.classworlds.event.ClassEventDebug

All Implemented Interfaces:
  ClassEventListener

Direct Known Subclasses:
  ResourceEventDebug

    public class ClassEventDebug
    extends java.lang.Object
    implements ClassEventListener

Created by IntelliJ IDEA.

### Constructor Summary

Constructors
Constructor and Description
`ClassEventDebug()`

### Method Summary

Methods
`void` `failed(java.lang.String name, Strategy strategy, java.lang.Exception reason)`
`void` `found(java.lang.String name, Strategy strategy, java.lang.Class found)`
`protected static java.lang.String` `getClassName(java.lang.Class in)`
`void` `lookup(java.lang.String name, Strategy strategy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassEventDebug

    public ClassEventDebug()

### Method Detail

#### getClassName

    protected static java.lang.String getClassName(java.lang.Class in)

#### lookup

    public void lookup(java.lang.String name,
              Strategy strategy)

Specified by:
  `lookup` in interface `ClassEventListener`

#### failed

    public void failed(java.lang.String name,
              Strategy strategy,
              java.lang.Exception reason)

Specified by:
  `failed` in interface `ClassEventListener`

#### found

    public void found(java.lang.String name,
             Strategy strategy,
             java.lang.Class found)

Specified by:
  `found` in interface `ClassEventListener`